CoordinateReferenceSystem (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class CoordinateReferenceSystem

    java.lang.Object
      com.bbn.openmap.proj.coords.CoordinateReferenceSystem

    public class CoordinateReferenceSystem

extends java.lang.Object

Field Summary
`protected static java.util.Map<java.lang.String,CoordinateReferenceSystem>` | `crss`

Constructor Summary
`CoordinateReferenceSystem(java.lang.String code, GeoCoordTransformation coordConverter, java.lang.Class<?> projLoaderClass, Ellipsoid ellipsoid)`
`CoordinateReferenceSystem(java.lang.String code, GeoCoordTransformation coordConverter, java.lang.Class<?> projLoaderClass, Ellipsoid ellipsoid, java.util.Properties projectionParameters, BoundingBox boundingBox, AxisOrder axisOrder)`

Method Summary
`static void` | `addCrs(CoordinateReferenceSystem crs)`
`GeoProj` | `createProjection(java.util.Properties overrideProjectionParameters)`
`boolean` | `equals(java.lang.Object obj)`
`java.awt.geom.Point2D` | `forward(double lat, double lon)`
`java.awt.geom.Point2D` | `forward(double lat, double lon, boolean useAxisOrder)`
`AxisOrder` | `getAxisOrder()`
`BoundingBox` | `getBoundingBox()` Return the bounding box of this coordinate system or null if the bounding box is not defined.
`java.lang.String` | `getCode()` Return a EPSG code like "EPSG:4326"
`static java.util.Collection<java.lang.String>` | `getCodes()`
`static CoordinateReferenceSystem` | `getForCode(java.lang.String code)`
`int` | `hashCode()`
`LatLonPoint` | `inverse(double x, double y)` Convert the given (projected) coordinate in the CRS to a LatLonPoint without respect for axis order.
`LatLonPoint` | `inverse(double x, double y, boolean useAxisOrder)` Convert the given (projected) coordinate in the CRS to a LatLonPoint.
`void` | `prepareProjection(GeoProj proj)`
`protected ProjectionLoader` | `projectionLoader()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### crss

    protected static final java.util.Map<java.lang.String,CoordinateReferenceSystem> crss

Constructor Detail

### CoordinateReferenceSystem

    public CoordinateReferenceSystem(java.lang.String code,
                                     GeoCoordTransformation coordConverter,
                                     java.lang.Class<?> projLoaderClass,
                                     Ellipsoid ellipsoid)

### CoordinateReferenceSystem

    public CoordinateReferenceSystem(java.lang.String code,
                                     GeoCoordTransformation coordConverter,
                                     java.lang.Class<?> projLoaderClass,
                                     Ellipsoid ellipsoid,
                                     java.util.Properties projectionParameters,
                                     BoundingBox boundingBox,
                                     AxisOrder axisOrder)

Method Detail

### addCrs

    public static void addCrs(CoordinateReferenceSystem crs)

### getForCode

    public static CoordinateReferenceSystem getForCode(java.lang.String code)

### getCodes

    public static java.util.Collection<java.lang.String> getCodes()

### projectionLoader

    protected ProjectionLoader projectionLoader()

### createProjection

    public GeoProj createProjection(java.util.Properties overrideProjectionParameters)

### getCode

    public java.lang.String getCode()

  Return a EPSG code like "EPSG:4326"

  Returns:
    EPSG code

### getBoundingBox

    public BoundingBox getBoundingBox()

  Return the bounding box of this coordinate system or null if the bounding box is not defined.

### getAxisOrder

    public AxisOrder getAxisOrder()

### prepareProjection

    public void prepareProjection(GeoProj proj)

### inverse

    public LatLonPoint inverse(double x,
                               double y)

  Convert the given (projected) coordinate in the CRS to a LatLonPoint without respect for axis order.

  Parameters:
    `x` -
    `y` -
  Returns:
    LatLonPoint from inverse projected x, y coordinate

### inverse

    public LatLonPoint inverse(double x,
                               double y,
                               boolean useAxisOrder)

  Convert the given (projected) coordinate in the CRS to a LatLonPoint. If the useAxisOrder parameter is true, then the `CoordinateReferenceSystem`s `AxisOrder` will be used.

  Parameters:
    `x` -
    `y` -
  Returns:
    LatLonPoint from inverse projected x, y coordinate

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon)

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon,
                                         boolean useAxisOrder)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details